package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.Menu;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 菜单表
 */
public interface MenuService extends IService<Menu> {

    List<Menu> getMenuListByUser(String platform);

    String removeMenuByIds(List<Long> list);

    String uploadBatchMenu(MultipartFile file);

    List<Menu> listMenusByRoleId(Long roleId);

    List<Menu> queryAllMenu();

    List<Menu> getTreeMenuByUser(Long id);

    List<Menu> getTreeMenuByUserNewly(Long id);

    List<Menu> getTreeMenuByUserNew(Long id);

    Menu getUserPersion();

    Page<Menu> getParentMenus(Page page);

    List<String> btnlist();
}
